{
  "name": "angular-movies-frontend",
  "version": "0.1.0",
  "scripts": {
    "ng": "ng",
    "start": "node server.js",
    "postinstall": "ng build --prod --aot",
    "build": "ng build --prod --aot",
    "pretty": "prettier --write \"./src/**/*.{ts,js,css,scss,json}\"",
    "sonar": "sonar-scanner",
    "test": "ng test --code-coverage --no-watch --no-progress --browsers=ChromeHeadlessCI",
    "lint": "ng lint",
    "e2e": "ng e2e --protractor-config=e2e/protractor-ci.conf.js",
    "webdriver-manager-update": "webdriver-manager update --versions.chrome 76.0.3809.126"
  },
  "private": true,
  "engines": {
    "node": "^12.14.0",
    "npm": "^6.4.1"
  },
  "dependencies": {
    "@angular-devkit/build-angular": "^0.901.3",
    "@angular/animations": "~9.1.3",
    "@angular/cli": "^9.1.3",
    "@angular/common": "~9.1.3",
    "@angular/compiler": "~9.1.3",
    "@angular/compiler-cli": "^9.1.3",
    "@angular/core": "~9.1.3",
    "@angular/forms": "~9.1.3",
    "@angular/http": "^7.2.16",
    "@angular/localize": "^9.1.3",
    "@angular/platform-browser": "~9.1.3",
    "@angular/platform-browser-dynamic": "~9.1.3",
    "@angular/router": "~9.1.3",
    "@ng-bootstrap/ng-bootstrap": "^6.1.0",
    "bootstrap": "^4.4.1",
    "compression": "^1.7.4",
    "core-js": "^3.6.5",
    "express": "^4.17.1",
    "rxjs": "~6.5.5",
    "tslib": "^1.11.1",
    "typescript": "~3.8.3",
    "zone.js": "~0.10.3"
  },
  "devDependencies": {
    "@angular/language-service": "~9.1.3",
    "@types/jasmine": "~3.5.10",
    "@types/jasminewd2": "~2.0.8",
    "@types/node": "~13.13.2",
    "child_process": "^1.0.2",
    "chromedriver": "^81.0.0",
    "codelyzer": "^5.2.2",
    "fs-extra": "9.0.0",
    "husky": "^4.2.5",
    "jasmine": "3.5.0",
    "jasmine-core": "~3.5.0",
    "jasmine-spec-reporter": "~5.0.2",
    "jasmine-ts": "0.3.0",
    "karma": "^5.0.2",
    "karma-chrome-launcher": "~3.1.0",
    "karma-coverage-istanbul-reporter": "~2.1.1",
    "karma-firefox-launcher": "^1.3.0",
    "karma-jasmine": "~3.1.1",
    "karma-jasmine-html-reporter": "^1.5.3",
    "nyc": "^15.0.1",
    "path": "^0.12.7",
    "prettier": "^2.0.5",
    "pretty-quick": "^2.0.1",
    "protractor": "5.4.4",
    "sonarqube-scanner": "^2.6.0",
    "ts-node": "~8.9.1",
    "tslint": "6.1.1",
    "tslint-sonarts": "1.9.0"
  }
}
